For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
    • File Picker
          • GET/issues
          • GET/issues/{id}
        • Field Mapping
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Linked AccountIssues

/issues

GET
/filestorage/v1/issues
GET
/api/filestorage/v1/issues
$curl -G https://api.merge.dev/api/filestorage/v1/issues \
> -H "Authorization: Bearer <token>" \
> -d cursor=cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw
200Retrieved
1{
2 "next": "cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw",
3 "previous": "cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ",
4 "results": [
5 {
6 "error_description": "Missing Permissions",
7 "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
8 "status": "ONGOING",
9 "end_user": "b82302de-852e-4e60-b050-edf9da3b7c02",
10 "first_incident_time": "2022-12-05T16:19:15.161Z",
11 "last_incident_time": "2022-12-05T16:19:15.161Z",
12 "is_muted": true,
13 "error_details": [
14 "Missing employee permissions.",
15 "Missing time off permissions."
16 ]
17 }
18 ]
19}
Gets all issues for Organization.
Was this page helpful?
Previous

/delete-account

Next

/issues/{id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Query parameters

account_tokenstringOptional
cursorstringOptional
The pagination cursor value.
end_datestringOptional
If included, will only include issues whose most recent action occurred before this time
end_user_organization_namestringOptional
first_incident_time_afterdatetimeOptional
If provided, will only return issues whose first incident time was after this datetime.
first_incident_time_beforedatetimeOptional
If provided, will only return issues whose first incident time was before this datetime.
include_mutedstringOptional
If true, will include muted issues
integration_namestringOptional
last_incident_time_afterdatetimeOptional
If provided, will only return issues whose last incident time was after this datetime.
last_incident_time_beforedatetimeOptional
If provided, will only return issues whose last incident time was before this datetime.
linked_account_idstringOptional
If provided, will only include issues pertaining to the linked account passed in.
page_sizeintegerOptional
Number of results to return per page. The maximum limit is 100.
start_datestringOptional
If included, will only include issues whose most recent action occurred after this time
statusenumOptional
Status of the issue. Options: ('ONGOING', 'RESOLVED') * `ONGOING` - ONGOING * `RESOLVED` - RESOLVED
Allowed values:

Response

nextstring or null
previousstring or null
resultslist of objects

Status of the issue. Options: (‘ONGOING’, ‘RESOLVED’)

  • ONGOING - ONGOING
  • RESOLVED - RESOLVED